<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Tue Nov 29 02:21:24 EST 2016 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Class Hierarchy (org.eclipse.papyrus.designer.languages.cpp.profile 1.0.4-SNAPSHOT API)</title>
<meta name="date" content="2016-11-29">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Class Hierarchy (org.eclipse.papyrus.designer.languages.cpp.profile 1.0.4-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?overview-tree.html" target="_top">Frames</a></li>
<li><a href="overview-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For All Packages</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="org/eclipse/papyrus/designer/languages/cpp/profile/package-tree.html">org.eclipse.papyrus.designer.languages.cpp.profile</a>, </li>
<li><a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/package-tree.html">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp</a>, </li>
<li><a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/package-tree.html">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.impl</a>, </li>
<li><a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/package-tree.html">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.util</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Object</span></a>
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/Activator.html" title="class in org.eclipse.papyrus.designer.languages.cpp.profile"><span class="typeNameLink">Activator</span></a> (implements org.osgi.framework.BundleActivator)</li>
<li type="circle">org.eclipse.emf.common.notify.impl.AdapterFactoryImpl (implements org.eclipse.emf.common.notify.AdapterFactory)
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.util.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppAdapterFactory.html" title="class in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.util"><span class="typeNameLink">C_CppAdapterFactory</span></a></li>
</ul>
</li>
<li type="circle">org.eclipse.emf.common.notify.impl.BasicNotifierImpl (implements org.eclipse.emf.common.notify.Notifier)
<ul>
<li type="circle">org.eclipse.emf.ecore.impl.BasicEObjectImpl (implements org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject)
<ul>
<li type="circle">org.eclipse.emf.ecore.impl.MinimalEObjectImpl (implements org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder)
<ul>
<li type="circle">org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.impl.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/ArrayImpl.html" title="class in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.impl"><span class="typeNameLink">ArrayImpl</span></a> (implements org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Array.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Array</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.impl.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/ConstImpl.html" title="class in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.impl"><span class="typeNameLink">ConstImpl</span></a> (implements org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Const.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Const</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.impl.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/ConstInitImpl.html" title="class in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.impl"><span class="typeNameLink">ConstInitImpl</span></a> (implements org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/ConstInit.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">ConstInit</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.impl.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/CppInitImpl.html" title="class in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.impl"><span class="typeNameLink">CppInitImpl</span></a> (implements org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/CppInit.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">CppInit</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.impl.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/CppRootImpl.html" title="class in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.impl"><span class="typeNameLink">CppRootImpl</span></a> (implements org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/CppRoot.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">CppRoot</a>)</li>
<li type="circle">org.eclipse.emf.ecore.impl.EModelElementImpl (implements org.eclipse.emf.ecore.EModelElement)
<ul>
<li type="circle">org.eclipse.emf.ecore.impl.EFactoryImpl (implements org.eclipse.emf.ecore.resource.impl.BinaryResourceImpl.DataConverter.Factory, org.eclipse.emf.ecore.EFactory)
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.impl.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/C_CppFactoryImpl.html" title="class in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.impl"><span class="typeNameLink">C_CppFactoryImpl</span></a> (implements org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppFactory.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">C_CppFactory</a>)</li>
</ul>
</li>
<li type="circle">org.eclipse.emf.ecore.impl.ENamedElementImpl (implements org.eclipse.emf.ecore.ENamedElement)
<ul>
<li type="circle">org.eclipse.emf.ecore.impl.EPackageImpl (implements org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder, org.eclipse.emf.ecore.EPackage)
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.impl.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/C_CppPackageImpl.html" title="class in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.impl"><span class="typeNameLink">C_CppPackageImpl</span></a> (implements org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppPackage.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">C_CppPackage</a>)</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.impl.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/ExternalImpl.html" title="class in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.impl"><span class="typeNameLink">ExternalImpl</span></a> (implements org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/External.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">External</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.impl.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/ExternLibraryImpl.html" title="class in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.impl"><span class="typeNameLink">ExternLibraryImpl</span></a> (implements org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/ExternLibrary.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">ExternLibrary</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.impl.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/FriendImpl.html" title="class in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.impl"><span class="typeNameLink">FriendImpl</span></a> (implements org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Friend.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Friend</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.impl.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/IncludeImpl.html" title="class in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.impl"><span class="typeNameLink">IncludeImpl</span></a> (implements org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Include.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Include</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.impl.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/InlineImpl.html" title="class in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.impl"><span class="typeNameLink">InlineImpl</span></a> (implements org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Inline.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Inline</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.impl.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/ManualGenerationImpl.html" title="class in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.impl"><span class="typeNameLink">ManualGenerationImpl</span></a> (implements org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/ManualGeneration.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">ManualGeneration</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.impl.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/MutableImpl.html" title="class in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.impl"><span class="typeNameLink">MutableImpl</span></a> (implements org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Mutable.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Mutable</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.impl.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/NoCodeGenImpl.html" title="class in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.impl"><span class="typeNameLink">NoCodeGenImpl</span></a> (implements org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/NoCodeGen.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">NoCodeGen</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.impl.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/PtrImpl.html" title="class in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.impl"><span class="typeNameLink">PtrImpl</span></a> (implements org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Ptr.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Ptr</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.impl.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/RefImpl.html" title="class in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.impl"><span class="typeNameLink">RefImpl</span></a> (implements org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Ref.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Ref</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.impl.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/StorageClassImpl.html" title="class in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.impl"><span class="typeNameLink">StorageClassImpl</span></a> (implements org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/StorageClass.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">StorageClass</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.impl.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/TemplateBindingImpl.html" title="class in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.impl"><span class="typeNameLink">TemplateBindingImpl</span></a> (implements org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/TemplateBinding.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">TemplateBinding</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.impl.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/TemplateImpl.html" title="class in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.impl"><span class="typeNameLink">TemplateImpl</span></a> (implements org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Template.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Template</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.impl.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/TemplateParameterImpl.html" title="class in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.impl"><span class="typeNameLink">TemplateParameterImpl</span></a> (implements org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/TemplateParameter.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">TemplateParameter</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.impl.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/TypedefImpl.html" title="class in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.impl"><span class="typeNameLink">TypedefImpl</span></a> (implements org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Typedef.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Typedef</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.impl.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/UnionImpl.html" title="class in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.impl"><span class="typeNameLink">UnionImpl</span></a> (implements org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Union.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Union</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.impl.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/VariadicImpl.html" title="class in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.impl"><span class="typeNameLink">VariadicImpl</span></a> (implements org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Variadic.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Variadic</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.impl.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/VirtualImpl.html" title="class in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.impl"><span class="typeNameLink">VirtualImpl</span></a> (implements org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Virtual.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Virtual</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.impl.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/VisibilityImpl.html" title="class in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.impl"><span class="typeNameLink">VisibilityImpl</span></a> (implements org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Visibility.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Visibility</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.impl.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/VolatileImpl.html" title="class in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.impl"><span class="typeNameLink">VolatileImpl</span></a> (implements org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Volatile.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Volatile</a>)</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.eclipse.emf.common.notify.impl.NotifierImpl
<ul>
<li type="circle">org.eclipse.emf.ecore.resource.impl.ResourceImpl (implements org.eclipse.emf.ecore.resource.Resource, org.eclipse.emf.ecore.resource.Resource.Internal)
<ul>
<li type="circle">org.eclipse.emf.ecore.xmi.impl.XMLResourceImpl (implements org.eclipse.emf.ecore.xmi.XMLResource)
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.util.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppResourceImpl.html" title="class in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.util"><span class="typeNameLink">C_CppResourceImpl</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.eclipse.emf.ecore.resource.impl.ResourceFactoryImpl (implements org.eclipse.emf.ecore.resource.Resource.Factory)
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.util.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppResourceFactoryImpl.html" title="class in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.util"><span class="typeNameLink">C_CppResourceFactoryImpl</span></a></li>
</ul>
</li>
<li type="circle">org.eclipse.emf.ecore.util.Switch&lt;T&gt;
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.util.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html" title="class in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.util"><span class="typeNameLink">C_CppSwitch</span></a>&lt;T&gt;</li>
</ul>
</li>
<li type="circle">org.eclipse.emf.ecore.xmi.util.XMLProcessor
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.util.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppXMLProcessor.html" title="class in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.util"><span class="typeNameLink">C_CppXMLProcessor</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppPackage.Literals.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">C_CppPackage.Literals</span></a></li>
<li type="circle">org.eclipse.emf.common.notify.Notifier
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Array.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">Array</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppFactory.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">C_CppFactory</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppPackage.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">C_CppPackage</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Const.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">Const</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/ConstInit.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">ConstInit</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/CppInit.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">CppInit</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/CppRoot.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">CppRoot</span></a></li>
<li type="circle">org.eclipse.emf.ecore.EFactory
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppFactory.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">C_CppFactory</span></a></li>
</ul>
</li>
<li type="circle">org.eclipse.emf.ecore.EModelElement
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppFactory.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">C_CppFactory</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppPackage.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">C_CppPackage</span></a></li>
<li type="circle">org.eclipse.emf.ecore.EFactory
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppFactory.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">C_CppFactory</span></a></li>
</ul>
</li>
<li type="circle">org.eclipse.emf.ecore.ENamedElement
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppPackage.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">C_CppPackage</span></a></li>
<li type="circle">org.eclipse.emf.ecore.EPackage
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppPackage.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">C_CppPackage</span></a></li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.eclipse.emf.ecore.EPackage
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppPackage.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">C_CppPackage</span></a></li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.eclipse.emf.ecore.ENamedElement
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppPackage.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">C_CppPackage</span></a></li>
<li type="circle">org.eclipse.emf.ecore.EPackage
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppPackage.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">C_CppPackage</span></a></li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.eclipse.emf.ecore.EObject
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Array.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">Array</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppFactory.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">C_CppFactory</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppPackage.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">C_CppPackage</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Const.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">Const</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/ConstInit.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">ConstInit</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/CppInit.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">CppInit</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/CppRoot.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">CppRoot</span></a></li>
<li type="circle">org.eclipse.emf.ecore.EFactory
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppFactory.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">C_CppFactory</span></a></li>
</ul>
</li>
<li type="circle">org.eclipse.emf.ecore.EModelElement
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppFactory.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">C_CppFactory</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppPackage.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">C_CppPackage</span></a></li>
<li type="circle">org.eclipse.emf.ecore.EFactory
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppFactory.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">C_CppFactory</span></a></li>
</ul>
</li>
<li type="circle">org.eclipse.emf.ecore.ENamedElement
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppPackage.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">C_CppPackage</span></a></li>
<li type="circle">org.eclipse.emf.ecore.EPackage
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppPackage.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">C_CppPackage</span></a></li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.eclipse.emf.ecore.EPackage
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppPackage.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">C_CppPackage</span></a></li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.eclipse.emf.ecore.ENamedElement
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppPackage.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">C_CppPackage</span></a></li>
<li type="circle">org.eclipse.emf.ecore.EPackage
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppPackage.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">C_CppPackage</span></a></li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.eclipse.emf.ecore.EPackage
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppPackage.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">C_CppPackage</span></a></li>
</ul>
</li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/External.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">External</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/ExternLibrary.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">ExternLibrary</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Friend.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">Friend</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Include.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">Include</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Inline.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">Inline</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/ManualGeneration.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">ManualGeneration</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Mutable.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">Mutable</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/NoCodeGen.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">NoCodeGen</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Ptr.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">Ptr</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Ref.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">Ref</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/StorageClass.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">StorageClass</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Template.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">Template</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/TemplateBinding.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">TemplateBinding</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/TemplateParameter.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">TemplateParameter</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Typedef.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">Typedef</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Union.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">Union</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Variadic.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">Variadic</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Virtual.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">Virtual</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Visibility.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">Visibility</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Volatile.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">Volatile</span></a></li>
</ul>
</li>
<li type="circle">org.eclipse.emf.ecore.EPackage
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppPackage.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">C_CppPackage</span></a></li>
</ul>
</li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/External.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">External</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/ExternLibrary.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">ExternLibrary</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Friend.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">Friend</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Include.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">Include</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Inline.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">Inline</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/ManualGeneration.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">ManualGeneration</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Mutable.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">Mutable</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/NoCodeGen.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">NoCodeGen</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Ptr.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">Ptr</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Ref.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">Ref</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/StorageClass.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">StorageClass</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Template.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">Template</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/TemplateBinding.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">TemplateBinding</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/TemplateParameter.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">TemplateParameter</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Typedef.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">Typedef</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Union.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">Union</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Variadic.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">Variadic</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Virtual.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">Virtual</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Visibility.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">Visibility</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Volatile.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">Volatile</span></a></li>
</ul>
</li>
</ul>
<h2 title="Enum Hierarchy">Enum Hierarchy</h2>
<ul>
<li type="circle">java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Object</span></a>
<ul>
<li type="circle">java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Enum</span></a>&lt;E&gt; (implements java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang">Comparable</a>&lt;T&gt;, java.io.<a href="http://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)
<ul>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/EStorageClass.html" title="enum in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">EStorageClass</span></a> (implements org.eclipse.emf.common.util.Enumerator)</li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/EAccessKind.html" title="enum in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">EAccessKind</span></a> (implements org.eclipse.emf.common.util.Enumerator)</li>
<li type="circle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.<a href="org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/VisibilityKind.html" title="enum in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">VisibilityKind</span></a> (implements org.eclipse.emf.common.util.Enumerator)</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?overview-tree.html" target="_top">Frames</a></li>
<li><a href="overview-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
